RK-A2 - Feature #3771

Clone the 'create detailed qna' colab with some changes
11/18/2024 12:31 PM - Ram Kordale

Status: Closed Start date: 11/18/2024
Priority: Urgent Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.65 hour
Target version: Spent time: 0.00 hour
Description

Changes are the following:

I
create a cell that reads prefix-question, suffix-question, prompt-5, prompt-10 from inputFile.txt

I
previously, prompt=question. now, please make prompt=concat(prefix-question, question, suffix-question)

I
stop execution if there are less than 3 steps in the detailed answer

v
After getting detailed QNA with at least 3 steps:

-while Answer field is wrong && numRetries < 5
--prompt=prompt-5

--call_openai(...)

--prompt=prompt-10

--call_openai(...)

If this still fails, stop execution.
In both cases where the execution is stopped, running the cell again should resume from the right place.

Note: If prompt-10 is empty, then do not make the "prompt-10 call" since there is no meaning in making the call. In this case, the
result from "prompt-5 call" should be used in the above while loop.

History

#1 - 11/18/2024 12:39 PM - Ram Kordale

- Description updated

#2 - 11/18/2024 12:47 PM - Ram Kordale

- Description updated

#3 - 11/19/2024 12:23 PM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 0.50 h

#4 - 11/19/2024 12:25 PM - Shubham Boke
- Status changed from New to In Progress

- % Done changed from 0 to 70

#5 - 11/25/2024 06:42 AM - Ram Kordale
- Estimated time changed from 0.50 h to 0.65 h

#6 - 11/25/2024 01:42 PM - Ram Kordale

- Description updated
#7 - 02/06/2025 06:19 AM - Shubham Boke
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#8 - 02/06/2025 06:21 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#9 - 02/06/2025 07:11 AM - Dewakar Chaubey
- Status changed from Review to Feedback

- Assignee changed from Dewakar Chaubey to Shubham Boke

#10 - 02/06/2025 08:45 AM - Shubham Boke

- Assignee changed from Shubham Boke to Ram Kordale

#11 - 03/27/2025 05:50 AM - Ram Kordale
- Status changed from Feedback to Closed
